## ros-kinetic-romeo-sensors-py 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(romeo_sensors_py)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS nodes/camera.py nodes/camera_depth.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
  
# Instructions to install launch files
install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    FILES_MATCHING PATTERN "*.launch"
)

=== debian/changelog ===
ros-kinetic-romeo-sensors-py (0.1.5-0xenial) xenial; urgency=high

  * update maintainers
  * make Natalia a maintainer
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Fri, 20 Jan 2017 08:00:00 -0000

ros-kinetic-romeo-sensors-py (0.1.4-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.1.3-0xenial) xenial; urgency=high

  * fixing romeo_bringup launch and romeo_sensors_py to get data from all cameras
  * Contributors: nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 20 Dec 2015 08:00:00 -0000

ros-kinetic-romeo-sensors-py (0.1.2-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.1.1-0xenial) xenial; urgency=high

  * rename romeo_sensors to romeo_sensors_py
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.1.0-0xenial) xenial; urgency=high

  * update the maintainer and make it architecture independent
  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 08 Oct 2015 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.13-0xenial) xenial; urgency=high

  * Added cv_bridge dependency
  * Contributors: Arguedas Mikael

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.12-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Nov 2014 08:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.11-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Nov 2014 08:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.10-0xenial) xenial; urgency=high

  * comply to the new naoqi organization
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 13 Nov 2014 08:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.9-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 25 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.8-0xenial) xenial; urgency=high

  * Fix CMakeLists
  * Contributors: Ha Dang

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 22 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.7-0xenial) xenial; urgency=high

  * Fix dependencies in CMakeLists
  * Contributors: Ha Dang

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 22 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.6-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 19 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.5-0xenial) xenial; urgency=high

  * update changelog
  * remove camera_depth.launch
  * Update README.md
  * Update and rename README_Romeo to README.md
  * cleaning
  * remove nao_camera from romeo_sensors
  * updated readme
  * new romeo_sensors with only launch files
  * Contributors: Ha Dang, margueda
  * remove camera_depth.launch
  * Update README.md
  * Update and rename README_Romeo to README.md
  * cleaning
  * remove nao_camera from romeo_sensors
  * updated readme
  * new romeo_sensors with only launch files
  * Contributors: Ha Dang, margueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.4-0xenial) xenial; urgency=high

  * changelog
  * fix dependencies for romeo_description
  * Contributors: Ha Dang

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-kinetic-romeo-sensors-py (0.0.3-0xenial) xenial; urgency=high

  * update changelog for build
  * Contributors: Ha Dang

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 11 Sep 2014 01:26:00 -0000

ros-kinetic-romeo-sensors-py (0.0.2-0xenial) xenial; urgency=high

  * updated changelog
  * fix install target error
  * Contributors: Ha Dang

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 10 Sep 2014 23:03:00 -0000

ros-kinetic-romeo-sensors-py (0.0.1-0xenial) xenial; urgency=high

  * update version
  * add changelog for release
  * remove useless messages in romeo_dcm
  * added nao_camera node modified to handle ROMEO's Asus Xtion
  * Contributors: margueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 09 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-romeo-sensors-py
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-romeo-sensors-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-naoqi-sensors-py, ros-kinetic-rospy
Description: Package that adds the depth camera to Romeo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-romeo-sensors-py//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
